%global realname oauth
%global upstream tim
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	1.5.0
Release:	3%{?dist}
Summary:	An Erlang OAuth implementation
Group:		Development/Languages
License:	MIT
URL:		http://github.com/%{upstream}/%{name}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{name}.git
%endif
Source0:	https://github.com/%{upstream}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		erlang-oauth-0001-Replace-runtime-switching-with-parse_transform-rewri.patch
BuildRequires:	erlang-erts
BuildRequires:	erlang-public_key
BuildRequires:	erlang-tools
Requires:	erlang-crypto
Requires:	erlang-erts
# Error:erlang(httpc:request/4) in R12B and below
Requires:	erlang-inets >= R13B
Requires:	erlang-kernel
# Error:erlang(public_key:pem_decode/1) in R13B and below
# Error:erlang(public_key:pem_entry_decode/1) in R13B and below
# Error:erlang(public_key:verify/4) in R13B and below
Requires:	erlang-public_key >= R14B
Requires:	erlang-stdlib


%description
An Erlang OAuth implementation.


%prep
%setup -q
%patch1 -p1 -b .R16B01


%build
make %{?_smp_mflags}


%install
install -D -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -D -m 644 ebin/%{realname}.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam


%files
%doc CHANGELOG.md License.txt README.md THANKS.txt
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Nov 16 2014 Peter Lemenkov <lemenkov@gmail.com> - 1.5.0-1
- Ver. 1.5.0

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 10 2014 Peter Lemenkov <lemenkov@gmail.com> - 1.4.0-1
- Ver. 1.4.0 (API incompatible update)
- Removed compatibility with Fedora < 12, RHEL < 6

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 16 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.1-1
- Ver. 1.1.1 (Incompatible with Erlang/OTP < R14B)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 26 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.0.1-1
- First stable release (this is the same as git7d85d3e with the patch no. 1)

* Wed Sep 22 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.6.git7d85d3e
- Narrowed BuildRequires
- New git snapshot

* Mon Jul 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.5.gite8aecf0
- Rebuild with new Erlang R14A
- Simplified spec-file
- Added missing requirement - erlang-kernel

* Fri May 28 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.4.gite8aecf0
- Fixed CouchDB failure (see rhbz #597093)
- Fixed reqirements for F-11

* Thu May 27 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.3.gite8aecf0
- Fixed explicit requires on EL-[45]

* Thu May 13 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.2.gite8aecf0
- Narrowed explicit requires

* Wed Apr  7 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1.gite8aecf0
- initial package

